#include <bits/stdc++.h>
#define int long long
#define all(A) A.begin(), A.end()
#define endl "\n"
using namespace std;

bool comp (string a, string b) {
    if (a.size() > b.size()) return true;
    if (a.size() < b.size()) return false;
    return a >= b;
}

string add (string a, string b) {
    if (!comp(a, b)) swap (a, b);
    reverse (all(b)); reverse (all(a));
    while (b.size() < a.size()) b += '0';
    string ret;
    int carry = 0;
    for (int i = 0; i < a.size(); i++) {
        int cur = (a[i] - '0') + (b[i] - '0') + carry;
        ret += (cur % 10) + '0';
        carry = cur / 10;
    }
    if (carry) ret += '1';
    reverse (all(ret));
    return ret;
}

string sub (string a, string b) {
    if (!comp(a, b)) swap (a, b);
    reverse (all(b)); reverse (all(a));
    while (b.size() < a.size()) b += '0';
    int carry = 0;
    string ret;
    for (int i = 0; i < a.size(); i++) {
        int cur = (a[i] - '0') - (b[i] - '0') - carry;
        if (cur < 0) {
            cur += 10;
            carry = 1;
        }
        else carry = 0;
        ret += cur + '0';
    }
    while (ret.back() == '0') ret.pop_back();
    if (ret.empty()) ret += '0';
    reverse(all(ret));
    return ret;
}

string div5(string a) {
    string ret;
    int carry = 0;
    for (int i = 0; i < a.size(); i++) {
        ret += (carry + a[i] - '0') / 5 + '0';
        carry = ((carry + a[i] - '0') % 5) * 10;
    }
    if(ret.empty()) return "0";
    reverse (all(ret));
    while (ret.back() == '0') ret.pop_back();
    reverse (all(ret));
    return ret;
}


signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    int q; cin >> q;
    for (int i = 0; i < q; i++) {
        string n; cin >> n;
        string cur = n, ans = "0";
        while (cur != "0") {
            cur = div5(cur);
            ans = add(ans, cur);
        }
        cout << ans << endl;
    }
}
