#include <iostream>
#include <bits/stdc++.h>
#include <vector>
using namespace std;

string intToString(unsigned long int i) ///Отчаянието ме доведе до това да ползвам дълги числа
{
    string s="";
    while(i)
    {
        s += i%10+'0';
        i/=10;
    }
    reverse(s.begin(),s.end());
    return s;
}

string longDivision(string a, char b)
{
    int digit=0,c=0,d=0;
    int divisor=b-'0';
    string ans="";
    for(int i=0; i<a.size(); i++)
    {
        digit=a[i]-'0';
        if(c==0)
        {
            if(digit<divisor)
            {
                c=digit;
            }
            else
            {
                ans+=digit/divisor+'0';
                c=digit%divisor;
            }
        }
        else
        {
            d=10*c+digit;
            ans+=d/divisor+'0';
            c=d%divisor;
        }
    }
    return ans;
}

unsigned long int Log5(string n)
{
    unsigned long int cnt5=0;
    while(n!="0")
    {
        if(n[n.size()-1]=='5' || n[n.size()-1]=='0')
        {
            cnt5++;
            n=longDivision(n,'5');
        }
        else
        {
            break;
        }
    }
    return cnt5;
}
unsigned long int Log2(string n)
{
    unsigned long int cnt2=0;
    while(n!="0")
    {
        if((n[n.size()-1]-'0')%2==0)
        {
            cnt2++;
            n=longDivision(n,'2');
        }
        else
        {
            break;
        }
    }
    return cnt2;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    unsigned long int Q;
    cin >> Q;
    unsigned long int a[Q];
    unsigned long int numberOf2s[Q]={0};
    unsigned long int numberof5s[Q]={0};

    unsigned long int maxQuery=0;

    for(unsigned long int i=0;i<Q;i++)
    {
        cin >> a[i];
        if(a[i]>maxQuery) maxQuery=a[i];
    }

    vector<unsigned long int> logs2;
    vector<unsigned long int> logs5;
    logs2.resize(maxQuery+2000,-1);
    logs5.resize(maxQuery+2000,-1);

    for(unsigned long int i=0;i<Q;i++)
    {
        for(unsigned long int j=a[i];j>=1;j--)
        {
            string J=intToString(j);
            /*cout << "The current number is " << j << endl;*/
            if(logs2[j] != -1) {numberOf2s[i]+=logs2[j]; /*cout << "Turns out the number has been logged, meaning that log 2 of " << j <<" is " << logs2[j]<< endl;*/}
            else {logs2[j]=Log2(J); numberOf2s[i]+=logs2[j];/*cout << "This number was not found so log 2 of " << j << " is " << logs2[j] << endl; */}
            if(logs5[j] != -1) {numberof5s[i]+=logs5[j];/*cout << "Turns out the number has been logged, meaning that log 5 of " << j <<" is " << logs5[j]<< endl;*/}
            else {logs5[j]=Log5(J); numberof5s[i]+=logs5[j];/*cout << "This number was not found so log 5 of " << j << " is " << logs5[j] << endl;*/}
        }
    }
    for(unsigned long int i=0;i<Q;i++)
    {
        if(numberOf2s[i]!=0 && numberof5s[i]!=0)
        {
            if(numberOf2s[i]<numberof5s[i]) cout << numberOf2s[i] << endl;
            else cout << numberof5s[i] << endl;
        }
        else cout << 0 << endl;
    }
    return 0;
}
