#include <bits/stdc++.h>
using namespace std;

void fastIO(){
    ios_base::sync_with_stdio(0);
    cin.tie(NULL);
    cout.tie(NULL);
}

const long long INF = 1e6;
const long long mod = 1e9+7;

long long BS(long long x){
    long long l = 1, r = INF, mid, ans = -1;
    while(l <= r){
        mid = (l+r) / 2;
        if(mid*mid <= x){
            ans = mid;
            l = mid + 1;
        }else{
            r = mid - 1;
        }
    }
    return ans;
}

long long comp(long long x){
    x %= mod;
    while( x<0)x += mod;
    return x;
}

long long calcDist(long long x, long long y){
    if(x > y)swap(x, y);
    if(x == 0)return 0;
    x --;
    return max(comp(y*(y+1)/2 - x*(x+1)/2), 0LL);
}

long long prefix(long long p){
    long long curr = BS(p) + 1, ans = 0;
    for(int i=1; i<curr; i++){
        ans = comp(ans + calcDist(i-1, 1)*2 + i);
      ///  cout<<"NUM: "<<i<<" br: "<<calcDist(i-1, 1)*2 + i<<endl;
    }
    long long ostdoP = p - (curr-1)*(curr-1), chest = 0;
    int df = 1;
    while(ostdoP > 0){
        chest += df;
        if(chest > curr){
            df = -1;
            chest = curr - 1;
        }
        ans = comp(ans + chest);
       /// cout<<chest<<" "<<ostdoP<<" "<<p<<endl;
        ostdoP --;
    }
  ///  cout<<"Ans: "<<ans<<endl;
    return ans;
}

void solve(){
    long long l, r;
    cin>>l>>r;
    cout<<comp(prefix(r)-prefix(l-1))<<endl;
}

int main(){
    fastIO();
  ///  cout<<BS(12393425233)<<endl;
    int q; cin>>q;
    while(q--)solve();
 /// cout<<prefix(17)<<endl;
}











