#include <bits/stdc++.h>
using namespace std;

const long long MAXN = 1e5 + 10, modulo = 1e9 + 7;
long long prefix[MAXN];

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int q;
    cin >> q;
    vector <long long> sequence(1);

    for (int i = 1; i <= 100; i++) {
        for (int j = 1; j <= i; j++) sequence.push_back(j);
        for (int j = i - 1; j >= 1; j--) sequence.push_back(j);
    }

    for (int i = 1; i <= 10000; i++) {
        prefix[i] = prefix[i - 1] + sequence[i];
        prefix[i] %= modulo;
    }

    while (q--) {
        int l, r;
        cin >> l >> r;

        if (r > 10000) exit(0);
        cout << (prefix[r] - prefix[l - 1] + modulo) % modulo << '\n';
    }

    return 0;

}
