#include <bits/stdc++.h>
using namespace std;

const long long modulo = 1e9 + 7;

long long power(long base, long long exp) {
    if (exp == 0) return 1;
    if (exp % 2 == 0) {
        long long x = power(base, exp / 2);
        return x * x % modulo;
    }

    return base * power(base, exp - 1) % modulo;
}

const long long SIX = power(6, modulo - 2);

long long solve(long long n) {
    long long root = (long long) sqrt(n);
    //cout << root << '\n';
    long long ans = root * (root + 1) % modulo * (2 * root + 1) % modulo * SIX % modulo;

    long long rest = n - root * root;
    root++;

    if (rest <= root) {
        ans += rest * (rest + 1) / 2;
        ans %= modulo;
    } else {
        ans += root * root;
        rest = 2 * root - 1 - rest;
        ans -= rest * (rest + 1) / 2;

        ans %= modulo;
    }

    //cout << n << ' ' << ans << '\n';
    return ans;
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    long long q;
    cin >> q;

    while (q--) {
        long long l, r;
        cin >> l >> r;

        cout << (solve(r) - solve(l - 1) + modulo) % modulo << '\n';
    }

    return 0;

}
