#include <bits/stdc++.h>
using namespace std;
const int mod = 1e9 + 7;
long long q;
long long pos[1000005];
void fill_pos()
{
    long long c = 1;
    for(int i = 1; i <= 1000000; i++)
    {
        pos[i] = pos[i-1] + c;
        c += 2;
    }
}
int bin_search(long long p)
{
    int l = 1, r = 1000000;
    while(l <= r)
    {
        int mid = (l+r)/2;
        if(pos[mid] <= p)
            l = mid+1;
        else
            r = mid-1;
    }
    return r;
}
long long query(long long l, long long r)
{
    int num = bin_search(l);
    long long p = pos[num];
    num++;
    long long ans = 0;
    long long a = 1, lamp = 0;
    if(p == l)
    {
        ans = 1;
        l++;
    }
    p++;
    while(p < l)
    {
        if(a < num && lamp == 0)a++;
        else
        {
            a--;
            lamp = 1;
        }
        p++;
    }
    while(a >= 1 && p <= r)
    {
        ans += a;
        ans %= mod;
        if(a < num && lamp == 0)a++;
        else
        {
            a--;
            lamp = 1;
        }
        p++;
    }
    if(p > r)
    {
        return ans;
    }
    num++;
    int num2 = bin_search(r);
    for(int i = num; i <= num2; i++)
    {
        ans += (i*i)%mod;
        ans %= mod;
    }
    p = pos[num2] + 1;
    num2++;
    a = 1, lamp = 0;
    while(p <= r)
    {
        ans += a;
        ans %= mod;
        if(a < num2 && lamp == 0)a++;
        else
        {
            a--;
            lamp = 1;
        }
        p++;
    }
    return ans;
}
void solve()
{
    cin >> q;
    long long l, r;
    for(int i = 1; i <= q; i++)
    {
        cin >> l >> r;
        cout << query(l, r) << endl;
    }
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    fill_pos();
    solve();
    return 0;
}
