#include <bits/stdc++.h>
#define int long long
#define pb push_back
using namespace std;

const int MAXN = 1e6;
const int MOD = 1e9 + 7;

vector <int> sqr;
int len[MAXN + 5];
int pref[MAXN + 5];
int prefs[MAXN + 5];

void findsqr() {
    sqr.pb(0);
    for (int i = 1; i <= MAXN; i++) {
        sqr.pb(i * i);
    }
}

int lb(int x) {
    int l = 0, r = MAXN + 1, ans = 0;
    while (l <= r) {
        int m = (l + r) / 2;
        if (x > sqr[m]) {
            ans = m;
            l = m + 1;
        }
        else r = m - 1;
    }
    return ans;
}

void findlen() {
    for (int i = 1; i <= MAXN; i++) {
        len[i] = sqr[i] - sqr[i - 1];
    }
}

void findpref() {
    for (int i = 1; i <= MAXN; i++) {
        pref[i] = (pref[i - 1] + i) % MOD;
    }
}

int findn(int l, int l1) {
    if (l - sqr[l1]  <= len[l1 + 1] / 2 + 1) {
        return l - sqr[l1];
    }
    else {
        return 2 * (len[l1 + 1] / 2 + 1) - (l - sqr[l1]);
    }
}

void findprefs() {
    for (int i = 1; i <= MAXN; i++) {
        prefs[i] = (prefs[i - 1] + pref[len[i] / 2 + 1] + pref[len[i] / 2]) % MOD;
    }
}

signed main() {
    findsqr();
    findlen();
    findpref();
    findprefs();
    int q; cin >> q;
    for (int i = 0; i < q; i++) {
        int l, r; cin >> l >> r;
        int l1 = lb(l), r1 = lb(r);
        int l2 = findn(l, l1), r2 = findn(r, r1);
        int ans = 0;
        int ln = len[l1 + 1] / 2 + 1;
        int rn = len[r1 + 1] / 2 + 1;
        if (l1 != r1) {
            ans = (ans + (prefs[r1] - prefs[l1 + 1] + MOD) % MOD) % MOD;
        }
        if (l1 == r1) {
            if (l - sqr[l1]  <= ln && r - sqr[r1]  <= rn) {
                ans = (ans + (pref[r2] - pref[l2 - 1] + MOD)) % MOD;
            }
            if (l - sqr[l1]  <= ln && !(r - sqr[r1]  <= rn)) {
                ans = (ans +(((pref[ln] - pref[l2 - 1] + MOD) % MOD) + (pref[rn] - pref[r2 - 1] + MOD) % MOD) % MOD) % MOD;
            }
            if (!(l - sqr[l1]  <= ln) && !(r - sqr[r1]  <= rn)) {
                ans = (ans + (pref[l2] - pref[r2 - 1] + MOD) % MOD) % MOD;
            }
        }
        if (r1 == l1 + 1) {
            if (!(r - sqr[r1] <= rn)) {
                ans = (ans + pref[rn] + (pref[rn - 1] - pref[r2 - 1] + MOD) % MOD) % MOD;
            }
            else {
                ans = (ans + pref[r2]) % MOD;
            }
            if (l - sqr[l1]  <= ln) {
                ans = (ans + (pref[ln] - pref[l2 - 1] + MOD) % MOD + pref[ln - 1]) % MOD;
            }
            else {
                ans = (ans + pref[l2]) % MOD;
            }
        }
        cout << ans << endl;
    }
}
