#include <bits/stdc++.h>
using namespace std;

void fastIO(){
    ios_base::sync_with_stdio(0);
    cin.tie(NULL);
    cout.tie(NULL);
}

const long long INF = 1e6;
const long long mod = 1e9+7;

long long BS(long long x){
    long long l = 1, r = INF, mid, ans = -1;
    while(l <= r){
        mid = (l+r) / 2;
        if(mid*mid <= x){
            ans = mid;
            l = mid + 1;
        }else{
            r = mid - 1;
        }
    }
    return ans;
}

long long calcDist(long long x, long long y){
    if(x > y)swap(x, y);
    x --;
    return y*(y+1)/2 - x*(x+1)/2;
}

long long comp(long long x){
    x %= mod;
    if( x<0)x += mod;
    return x;
}

void solve(){
    long long l, r;
    cin>>l>>r;
    long long currnL = BS(l), currnR = BS(r);
    if(currnL*currnL == l){
        currnL --;
    }
    if(currnR*currnR == r){
        currnR --;
    }
    long long ostdoL = l - currnL*currnL, ostdoR = r - currnR*currnR;
    long long brqgL = 0, brqgR = 0;
    currnL ++;
    currnR ++;
    if(currnL == currnR){
        cout<<comp(calcDist(ostdoR, ostdoL))<<endl;
        return ;
    }
    if(ostdoL >= currnL){
        brqgL += calcDist(1, currnL);
        ostdoL -= currnL;
        if(ostdoL > 0){
            int posL = (currnL-1)-ostdoL+1;
            brqgL += calcDist(currnL-1, posL);
            brqgL -= posL;
        }
    }else{
        brqgL = calcDist(1, ostdoL);
        brqgL -= ostdoL;
    }
    brqgL = calcDist(currnL, 1) + calcDist(currnL-1, 1) - brqgL;
    if(ostdoR >= currnR){
        brqgR += calcDist(1, currnR);
        ostdoR -= currnR;
        if(ostdoR > 0){
            int posR = (currnR-1)-ostdoR+1;
            brqgR += calcDist(currnR-1, posR);
        }
    }else{
        brqgR += calcDist(1, ostdoR);
    }
    currnL ++;
    currnR --;
    long long ans = 0;
    ans = comp(ans + brqgL + brqgR);
    for(long long i = currnL; i <= currnR; i++){
        ans = comp(ans + comp(calcDist(i, 1) + calcDist(i-1, 1)));
    }
    cout<<ans<<endl;
    return ;
}

int main(){
    fastIO();
  ///  cout<<BS(12393425233)<<endl;
    int q; cin>>q;
    while(q--)solve();
}











