#include<bits/stdc++.h>
using namespace std;

const long long MAXN = 1e6+7, mod = 1e9+7;
long long q, l, r, guess, sl, sr, endings[MAXN], sums[MAXN], wholes[MAXN], ans;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    endings[0] = 0;
    for(long long i = 1; endings[i-1]+1+2*(i-1) <= 1e12; i++)
    {
        endings[i] = endings[i-1]+1+2*(i-1);
    }
    sums[0] = 0;
    for(long long i = 1; i < MAXN; i++)
    {
        sums[i] = sums[i-1]+i;
    }
    wholes[0] = 0;
    for(long long i = 1; i < MAXN; i++)
    {
        wholes[i] = wholes[i-1]+sums[i]+sums[i-1];
    }
    cin>>q;
    for(long long zz = 0; zz < q; zz++)
    {
        cin>>sl>>sr;
        ans = 0;
        l = -1;
        r = MAXN;
        while(l < r-1)
        {
            guess = (l+r)/2;
            if(endings[guess]+1 < sl) l = guess;
            else r = guess;
        }
        long long b1 = r;
        l = -1;
        r = MAXN;
        while(l < r-1)
        {
            guess = (l+r)/2;
            if(endings[guess] > sr) r = guess;
            else l = guess;
        }
        long long e1 = l;
        ans += (wholes[e1]-wholes[b1])%mod;
        if(ans < 0) assert(false);
        ans %= mod;
        long long curr = endings[b1]-sl+1;
        long long middle = (endings[b1]-endings[b1-1])/2+1;
        if(curr <= middle) ans += sums[curr];
        else
        {
            ans += sums[middle]%mod;
            if(ans < 0) assert(false);
            ans %= mod;
            ans += (sums[middle-1]-sums[middle-1-(curr-middle)])%mod;
            if(ans < 0) assert(false);
            ans %= mod;
        }
        curr = sr-endings[e1];
        middle = (endings[e1+1]-endings[e1])/2+1;
        if(curr <= middle) ans += sums[curr];
        else
        {
            ans += sums[middle]%mod;
            if(ans < 0) assert(false);
            ans %= mod;
            ans += (sums[middle-1]-sums[middle-1-(curr-middle)])%mod;
            if(ans < 0) assert(false);
            ans %= mod;
        }
        cout<<ans<<"\n";
    }
    return 0;
}
