#include <bits/stdc++.h>
using namespace std;

struct Number{
    vector <int> digit;

    Number() : digit(1) {}
    Number(long long n) {
        while (n) {
            digit.push_back(n % 10);
            n /= 10;
        }
    }

    Number operator+(Number b) {
        int prenos = 0;
        vector <int> ans;

        for (int i = 0; i < max(digit.size(), b.digit.size()); i++) {
            int sum = prenos;
            if (i < digit.size()) sum += digit[i];
            if (i < b.digit.size()) sum += b.digit[i];

            ans.push_back(sum % 10);
            prenos = sum / 10;
        }

        if (prenos) ans.push_back(prenos);

        Number ans2;
        ans2.digit = ans;

        return ans2;
    }

    Number operator+=(Number b) {
        (*this) = (*this) + b;
        return *this;
    }
};

ostream& operator<<(ostream& os, Number num) {
    for (auto it = num.digit.rbegin(); it != num.digit.rend(); it++) {
        cout << *it;
    }

    return os;
}

const long long MAXN = 3e2 + 10, modulo = 1e9 + 7;
long long n, p, s;

long long dp[MAXN][MAXN];
bool v[MAXN][MAXN];

long long f(long long n, long long s) {
    if (n == 0) return s == 0;
    if (v[n][s]) return dp[n][s];
    v[n][s] = 1;

    long long ans = 0;

    for (long long i = (n == 1); i < p; i++) {
        ans += f(n - 1, s - i);
        ans %= modulo;
    }

    return dp[n][s] = ans;
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    cin >> n >> p >> s;

    cout << f(n, s) << endl;
    return 0;

}


