#include <iostream>
using namespace std;
const int mod = 1e9+7;
long long get(long long i, long long gr) {
    if(i<=gr) return i;
    else return gr-(i-gr);
}
pair<long long, long long> findgr(long long i) { // {start, n}
    long long len = 1, gr = 1, add = 3;
    if(i==1) return {1,1};
    while(len < i) {
        gr++;
        len += add;
        add += 2;
    }
    return {len-add+3, gr};
}
long long idxInGr(long long start, long long i) {
    return i-start+1;
}
void test() {
    for(int i = 1; i <= 50; i++) {
        //cerr << "i=" << i << " start=" << findgr(i).first << " n=" << findgr(i).second << endl;
    }
}
long long sum;
long long getS(long long k) {
    return k*(k+1);
}
void getSum(long long i, long long j) {
    for(long long k = i; k <= j; k++) {
        sum += getS(k) - k;
        sum %= mod;
    }
}
int main() {
    test();
    int q; cin >> q;
    while(q--) {
        long long l,r; cin >> l >> r;
        if(l==r) {
            pair<long long, long long> groupL = findgr(l); // log?
            cout << 1 << endl;
            continue;
        }
        pair<long long, long long> groupL = findgr(l), groupR = findgr(r); // log?
        long long idxL = idxInGr(groupL.first, l);
        long long idxR = idxInGr(groupR.first, r);
        sum = 0;
        if(groupL.first == groupR.first) {
            //...
            for(long long i = idxL; i <= idxR; i++) {
                sum+=get(i, groupL.second);
                sum %= mod;
            }
            cout << sum << endl;
            continue;
        }
        for(long long s = idxL; s <= 2*groupL.second - 1; s++) {
            sum += get(s, groupL.second);
            sum %= mod;
        }
        if(groupR.second - groupL.second > 1) {
            getSum(groupL.second+1, groupR.second-1);
        }
        for(long long s = 1; s <= idxR; s++) {
            sum += get(s, groupR.second);
            sum %= mod;
        }
        cout << sum << endl;
    }
}

